Description

Hi,

I think it would be very helpful if it would be possible to rotate a polygon (or line) feature by a specified vertex.

It seems that currently the only option is to rotate the feature around its centroid.

History

#1 - 2019-03-21 10:47 AM - Harrissou Santanna

- Status changed from Open to Feedback

It seems that currently the only option is to rotate the feature around its centroid.

Not that true: you can use another point using the Ctrl button as mentioned in the doc: 

https://docs.qgis.org/testing/en/docs/user_manual/working_with_vector/editing_geometry_attributes.html#rotate-feature-s

The missing feature is the snapping part as already reported in #19106

#2 - 2019-03-25 02:27 PM - Uri Meir

Harrissou Santanna wrote:

It seems that currently the only option is to rotate the feature around its centroid.

Not that true: you can use another point using the Ctrl button as mentioned in the doc: 

https://docs.qgis.org/testing/en/docs/user_manual/working_with_vector/editing_geometry_attributes.html#rotate-feature-s

The missing feature is the snapping part as already reported in #19106

Hi Harrissou,

You are completely right! I missed that in the docs.

two comments:

1.Using this "ctrl rotate" feature made my QGIS crash a few times  (QGIS 3.4.5, Debian Stretch).

2.Snapping to nodes in the feature will indeed make it much more useful, I'll be following #19106.

#3 - 2019-03-25 02:56 PM - Harrissou Santanna

1.Using this "ctrl rotate" feature made my QGIS crash a few times (QGIS 3.4.5, Debian Stretch).
https://docs.qgis.org/testing/en/docs/user_manual/working_with_vector/editing_geometry_attributes.html#rotate-feature-s
https://docs.qgis.org/testing/en/docs/user_manual/working_with_vector/editing_geometry_attributes.html#rotate-feature-s


I think I also got a crash at some moment while pressing the key too much. If you get this consistently, consider opening an issue report with appropriate

details, please.

2.Snapping to nodes in the feature will indeed make it much more useful, I'll be following #19106.

OK, so could we close this report?

#4 - 2019-03-27 07:41 AM - Uri Meir

Harrissou Santanna wrote:

1.Using this "ctrl rotate" feature made my QGIS crash a few times (QGIS 3.4.5, Debian Stretch).

I think I also got a crash at some moment while pressing the key too much. If you get this consistently, consider opening an issue report with

appropriate details, please.

2.Snapping to nodes in the feature will indeed make it much more useful, I'll be following #19106.

OK, so could we close this report?

Yes, I guess we can close it, thanks for the reference!

#5 - 2019-03-27 12:49 PM - Giovanni Manghi

- Status changed from Feedback to Closed
